> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List bank verification account transactions



## OpenAPI

````yaml /openapi/bank.yaml get /bank/verifications/{verificationId}/accounts/{accountId}/transactions/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: Bank
    description: Bank verification endpoints.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /bank/verifications/{verificationId}/accounts/{accountId}/transactions/:
    get:
      tags:
        - Bank
      summary: List bank verification account transactions
      operationId: bankVerificationsAccountsTransactionsList
      parameters:
        - in: path
          name: accountId
          schema:
            type: string
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: perPage
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: path
          name: verificationId
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBankTransactionList'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    PaginatedBankTransactionList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/BankTransaction'
    BankTransaction:
      type: object
      properties:
        creditor:
          $ref: '#/components/schemas/BankPartyIdentification'
        debtor:
          $ref: '#/components/schemas/BankPartyIdentification'
        bookingDate:
          type: string
          format: date
          nullable: true
        transactionDate:
          type: string
          format: date
          nullable: true
        transactionAmount:
          $ref: '#/components/schemas/BankTransactionAmount'
      required:
        - creditor
        - debtor
        - transactionAmount
    BankPartyIdentification:
      type: object
      properties:
        fullName:
          type: string
          nullable: true
          maxLength: 128
    BankTransactionAmount:
      type: object
      properties:
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        currency:
          type: string
          maxLength: 3
      required:
        - amount
        - currency
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````